# os::mm::page_table - Rust
Implementation of [`PageTableEntry`] and [`PageTable`].
Keywords: rust, rustlang, rust-lang, page_table

# Module os::mm::page_table

source · [−]
Expand description

Implementation of `PageTableEntry` and `PageTable`.

## Structs

PTEFlags
PageTable

Record root ppn and has the same lifetime as 1 and 2 level `PageTableEntry`

PageTableEntry

page table entry structure

UserBuffer

Array of u8 slice that user communicate with os

UserBufferIterator

Iterator of `UserBuffer`

## Functions

translated_byte_buffer

Translate a pointer to a mutable u8 Vec through page table

translated_ref

Translate a generic through page table and return a reference

translated_refmut

Translate a generic through page table and return a mutable reference

translated_str

Translate a pointer to a mutable u8 Vec end with `\0` through page table to a `String`